This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458405 - Review Request: pisg - Perl IRC Statistics Generator
Review Request: pisg - Perl IRC Statistics Generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 21:05 EDT by Sindre Pedersen Bjørdal
Modified: 2008-09-10 02:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 04:40:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-08-07 21:05:24 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/pisg.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/pisg-0.72-3.fc9.src.rpm

Description:

Pisg is an IRC statistics generator. It takes IRC logfiles and turns
them into nice looking stats.
Comment 1 Jason Tibbitts 2008-08-09 14:02:35 EDT
Not much to review, really.

* source files match upstream:
   34167eefcbf17feafc7a5c53b9c1396f460b18d7030e0a4da9e360df4268e7d0  
   pisg-0.72.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   config(pisg) = 0.72-3.fc10
   perl(Pisg)
   perl(Pisg::Common)
   perl(Pisg::HTMLGenerator)
   perl(Pisg::Parser::Format::DCpp)
   perl(Pisg::Parser::Format::IRCAP)
   perl(Pisg::Parser::Format::RacBot)
   perl(Pisg::Parser::Format::Template)
   perl(Pisg::Parser::Format::Trillian)
   perl(Pisg::Parser::Format::Vision)
   perl(Pisg::Parser::Format::axur)
   perl(Pisg::Parser::Format::blootbot)
   perl(Pisg::Parser::Format::bobot)
   perl(Pisg::Parser::Format::bxlog)
   perl(Pisg::Parser::Format::dancer)
   perl(Pisg::Parser::Format::dircproxy)
   perl(Pisg::Parser::Format::eggdrop)
   perl(Pisg::Parser::Format::energymech)
   perl(Pisg::Parser::Format::grufti)
   perl(Pisg::Parser::Format::hydra)
   perl(Pisg::Parser::Format::infobot)
   perl(Pisg::Parser::Format::ircII)
   perl(Pisg::Parser::Format::ircle)
   perl(Pisg::Parser::Format::irssi)
   perl(Pisg::Parser::Format::javabot)
   perl(Pisg::Parser::Format::konversation)
   perl(Pisg::Parser::Format::kvirc)
   perl(Pisg::Parser::Format::lulubot)
   perl(Pisg::Parser::Format::mIRC)
   perl(Pisg::Parser::Format::mIRC6)
   perl(Pisg::Parser::Format::mIRC6hack)
   perl(Pisg::Parser::Format::mbot)
   perl(Pisg::Parser::Format::miau)
   perl(Pisg::Parser::Format::moobot)
   perl(Pisg::Parser::Format::mozbot)
   perl(Pisg::Parser::Format::muh)
   perl(Pisg::Parser::Format::muh2)
   perl(Pisg::Parser::Format::oer)
   perl(Pisg::Parser::Format::perlbot)
   perl(Pisg::Parser::Format::pircbot)
   perl(Pisg::Parser::Format::psybnc)
   perl(Pisg::Parser::Format::rbot)
   perl(Pisg::Parser::Format::sirc)
   perl(Pisg::Parser::Format::supy)
   perl(Pisg::Parser::Format::virc98)
   perl(Pisg::Parser::Format::weechat)
   perl(Pisg::Parser::Format::winbot)
   perl(Pisg::Parser::Format::xchat)
   perl(Pisg::Parser::Format::zcbot)
   perl(Pisg::Parser::Logfile)
   pisg = 0.72-3.fc10
  =
   /usr/bin/perl
   config(pisg) = 0.72-3.fc10
   perl(:MODULE_COMPAT_5.10.0)
   perl(Data::Dumper)
   perl(Exporter)
   perl(Getopt::Long)
   perl(POSIX)
   perl(Pisg)
   perl(Pisg::HTMLGenerator)
   perl(Text::Iconv)
   perl(lib)
   perl(strict)

* %check is not present; no test suite upstream.  I ran the program and it 
  appeared to work, although I didn't feed it a large body of logs for 
  processing.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Sindre Pedersen Bjørdal 2008-08-10 05:05:23 EDT
New Package CVS Request
=======================
Package Name: pisg
Short Description: Perl IRC Statistics Generator
owners: sindrepb
Branches: F-8 F-9 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-11 13:32:37 EDT
cvs done.
Comment 4 Fedora Update System 2008-08-12 04:45:03 EDT
pisg-0.72-3.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-08-12 04:45:03 EDT
pisg-0.72-3.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-09-05 08:18:50 EDT
pisg-0.72-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-10 02:43:07 EDT
pisg-0.72-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-10 02:45:54 EDT
pisg-0.72-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.